Flow Unified API
API ReferenceRestaurant

Job · job

Portable restaurant job / role contract.

Entity type: job · Methods: GET

Portable restaurant job / role contract.

Endpoints

GET  /unified/{accountId}/job   # List normalized job records

Schema

FieldTypeRequiredDescription
externalIdstringYesStable job identifier. Used as the idempotency key on writes.
namestringYesJob or role name.
descriptionstringOptional job description.
activebooleanWhether the job is active.

Example object

{
  "externalId": "job_line_cook",
  "name": "Line Cook",
  "description": "Back-of-house line station.",
  "active": true
}

The same shape is used as the POST request body and returned by GET reads — reads from every connected system are normalized to it.

Requests

read job
curl "https://dev.flow.staging.linktoany.com/api/1.0/standalone-link-engine-service/unified/{accountId}/job?mappingKey={readKey}&pageSize=50" \
  -H "authorization: Bearer <token>"

Supported systems

SystemReadWriteAuthRate limit
ToastYesAPI token5 req / s
Lightspeed K-SeriesYesOAuth 2.0100 req / 60s

On this page